{% load thumbnail %}
{% load static %}
{% load utils %}

<div class="item__thumbs">
    {% for image in product.active_images.all %}
{#        {% if forloop.counter0 < 3 %}#}
        {% thumbnail image.original '1680' upscale=False as large_im %}
            {% thumbnail image.original '370x370' padding=True as medium_im %}
                {% thumbnail image.original '128x128' crop="center" as small_im %}
                <div class="item__thumb {% if forloop.first %}active{% endif %}"
                    data-src-medium="{{ medium_im.url }}"
                    data-src="{{ large_im.url }}"
                    {% if large_im.width > 0 %}
                        data-width="{{ large_im.width }}"
                        data-height="{{ large_im.height }}"
                    {% endif %}
                    data-caption="{{ image.caption }}"
                    data-index="{{ forloop.counter0 }}"
                >
                    {% if forloop.counter == 4 %}
                        <div class="item__thumb-count">еще {{ product.active_images.count|subtract:"4" }} фото</div>
                    {% endif %}
                    <img src="{{ small_im.url }}" alt="{{ image.caption }}">
                </div>
                {% endthumbnail %}
            {% endthumbnail %}
        {% endthumbnail %}
{#        {% elif forloop.counter0 == 3 %}#}
{#            <div class="show-gallery nav-el col-4">#}
{#                <div id="animated-thumbnials">#}
{#                    {% for image in product.active_images.all %}#}
{#                        {% thumbnail image.original '1680' upscale=False as large_im %}#}
{#                            {% thumbnail image.original '370x370' padding=True as medium_im %}#}
{#                                {% thumbnail image.original '128x128' crop="center" as small_im %}#}
{#                                    <a#}
{#                                        href="{{ large_im.url }}"#}
{#                                        class="{% if forloop.counter0 == 3 %}show{% else %}not-show{% endif %}"#}
{#                                        data-src-medium="{{ medium_im.url }}"#}
{#                                        data-src="{{ large_im.url }}"#}
{#                                        {% if large_im.width > 0 %}#}
{#                                            data-width="{{ large_im.width }}"#}
{#                                            data-height="{{ large_im.height }}"#}
{#                                        {% endif %}#}
{#                                        data-caption="{{ image.caption }}"#}
{#                                        data-index="{{ forloop.counter0 }}">#}
{#                                        <div class="active-card">#}
{#                                            <span class="active-card__text">#}
{#                                                Еще {{ product.active_images.all.count|add:"-3" }} фото#}
{#                                            </span>#}
{#                                        </div>#}
{#                                        <img src="{{ small_im.url }}" alt="{{ image.caption }}">#}
{#                                    </a>#}
{#                                {% endthumbnail %}#}
{#                            {% endthumbnail %}#}
{#                        {% endthumbnail %}#}
{#                    {% endfor %}#}
{#                </div>#}
{#            </div>#}
{#        {% endif %}#}
    {% endfor %}
</div>